<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::SimCalorimeterHitObj Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_sim_calorimeter_hit_obj.html">SimCalorimeterHitObj</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_sim_calorimeter_hit_obj-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::SimCalorimeterHitObj Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_sim_calorimeter_hit_obj_8h_source.html">SimCalorimeterHitObj.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::SimCalorimeterHitObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_sim_calorimeter_hit_obj__inherit__graph.png" border="0" usemap="#eic_1_1_sim_calorimeter_hit_obj_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_sim_calorimeter_hit_obj_inherit__map" id="eic_1_1_sim_calorimeter_hit_obj_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::SimCalorimeterHitObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_sim_calorimeter_hit_obj__coll__graph.png" border="0" usemap="#eic_1_1_sim_calorimeter_hit_obj_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_sim_calorimeter_hit_obj_coll__map" id="eic_1_1_sim_calorimeter_hit_obj_coll__map">
<area shape="rect" id="node3" href="classeic_1_1_sim_calorimeter_hit_data.html" title="eic::SimCalorimeterHitData" alt="" coords="102,5,285,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad9032256551c9bf7767473798f1335b1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_obj.html#ad9032256551c9bf7767473798f1335b1">SimCalorimeterHitObj</a> ()</td></tr>
<tr class="memdesc:ad9032256551c9bf7767473798f1335b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor  <a href="#ad9032256551c9bf7767473798f1335b1">More...</a><br /></td></tr>
<tr class="separator:ad9032256551c9bf7767473798f1335b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5734d0019d8bfcf7e6457fc894950c58"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_obj.html#a5734d0019d8bfcf7e6457fc894950c58">SimCalorimeterHitObj</a> (const <a class="el" href="classeic_1_1_sim_calorimeter_hit_obj.html">SimCalorimeterHitObj</a> &amp;)</td></tr>
<tr class="memdesc:a5734d0019d8bfcf7e6457fc894950c58"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor (does a deep-copy of relation containers)  <a href="#a5734d0019d8bfcf7e6457fc894950c58">More...</a><br /></td></tr>
<tr class="separator:a5734d0019d8bfcf7e6457fc894950c58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86487073fdb339a465d4fad812444abc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_obj.html#a86487073fdb339a465d4fad812444abc">SimCalorimeterHitObj</a> (const podio::ObjectID id, <a class="el" href="classeic_1_1_sim_calorimeter_hit_data.html">SimCalorimeterHitData</a> <a class="el" href="classeic_1_1_sim_calorimeter_hit_obj.html#a59c07d3abd0134138a43a907d886c142">data</a>)</td></tr>
<tr class="separator:a86487073fdb339a465d4fad812444abc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee18e653b02138b9eaf8c98de4f18e32"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_obj.html#aee18e653b02138b9eaf8c98de4f18e32">~SimCalorimeterHitObj</a> ()</td></tr>
<tr class="separator:aee18e653b02138b9eaf8c98de4f18e32"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a59c07d3abd0134138a43a907d886c142"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_sim_calorimeter_hit_data.html">SimCalorimeterHitData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_obj.html#a59c07d3abd0134138a43a907d886c142">data</a></td></tr>
<tr class="separator:a59c07d3abd0134138a43a907d886c142"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_obj_8h_source.html#l00023">23</a> of file <a class="el" href="_sim_calorimeter_hit_obj_8h_source.html">SimCalorimeterHitObj.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad9032256551c9bf7767473798f1335b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9032256551c9bf7767473798f1335b1">&#9670;&nbsp;</a></span>SimCalorimeterHitObj() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::SimCalorimeterHitObj::SimCalorimeterHitObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_obj_8cc_source.html#l00005">5</a> of file <a class="el" href="_sim_calorimeter_hit_obj_8cc_source.html">SimCalorimeterHitObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_calorimeter_hit_obj_8h_source.html#l00035">data</a>.</p>

</div>
</div>
<a id="a5734d0019d8bfcf7e6457fc894950c58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5734d0019d8bfcf7e6457fc894950c58">&#9670;&nbsp;</a></span>SimCalorimeterHitObj() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::SimCalorimeterHitObj::SimCalorimeterHitObj </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_sim_calorimeter_hit_obj.html">SimCalorimeterHitObj</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor (does a deep-copy of relation containers) </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_obj_8cc_source.html#l00013">13</a> of file <a class="el" href="_sim_calorimeter_hit_obj_8cc_source.html">SimCalorimeterHitObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_calorimeter_hit_obj_8h_source.html#l00035">data</a>.</p>

</div>
</div>
<a id="a86487073fdb339a465d4fad812444abc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86487073fdb339a465d4fad812444abc">&#9670;&nbsp;</a></span>SimCalorimeterHitObj() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::SimCalorimeterHitObj::SimCalorimeterHitObj </td>
          <td>(</td>
          <td class="paramtype">const podio::ObjectID&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classeic_1_1_sim_calorimeter_hit_data.html">SimCalorimeterHitData</a>&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>constructor from ObjectID and <a class="el" href="classeic_1_1_sim_calorimeter_hit_data.html">SimCalorimeterHitData</a> does not initialize the internal relation containers </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_obj_8cc_source.html#l00009">9</a> of file <a class="el" href="_sim_calorimeter_hit_obj_8cc_source.html">SimCalorimeterHitObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_calorimeter_hit_obj_8h_source.html#l00035">data</a>.</p>

</div>
</div>
<a id="aee18e653b02138b9eaf8c98de4f18e32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee18e653b02138b9eaf8c98de4f18e32">&#9670;&nbsp;</a></span>~SimCalorimeterHitObj()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::SimCalorimeterHitObj::~SimCalorimeterHitObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_obj_8cc_source.html#l00019">19</a> of file <a class="el" href="_sim_calorimeter_hit_obj_8cc_source.html">SimCalorimeterHitObj.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a59c07d3abd0134138a43a907d886c142"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59c07d3abd0134138a43a907d886c142">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_sim_calorimeter_hit_data.html">SimCalorimeterHitData</a> eic::SimCalorimeterHitObj::data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_obj_8h_source.html#l00035">35</a> of file <a class="el" href="_sim_calorimeter_hit_obj_8h_source.html">SimCalorimeterHitObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00051">eic::ConstSimCalorimeterHit::cellID0()</a>, <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00052">eic::SimCalorimeterHit::cellID0()</a>, <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00053">eic::ConstSimCalorimeterHit::cellID1()</a>, <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00053">eic::SimCalorimeterHit::cellID1()</a>, <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00017">eic::ConstSimCalorimeterHit::ConstSimCalorimeterHit()</a>, <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00055">eic::ConstSimCalorimeterHit::energy()</a>, <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00054">eic::SimCalorimeterHit::energy()</a>, <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00059">eic::ConstSimCalorimeterHit::position()</a>, <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00056">eic::SimCalorimeterHit::position()</a>, <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00017">eic::SimCalorimeterHit::SimCalorimeterHit()</a>, <a class="el" href="_sim_calorimeter_hit_obj_8cc_source.html#l00005">SimCalorimeterHitObj()</a>, <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00057">eic::ConstSimCalorimeterHit::time()</a>, and <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00055">eic::SimCalorimeterHit::time()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_sim_calorimeter_hit_obj_8h_source.html">SimCalorimeterHitObj.h</a></li>
<li>src/<a class="el" href="_sim_calorimeter_hit_obj_8cc_source.html">SimCalorimeterHitObj.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
